[page:Object3D] → [page:Line] → [page:LineSegments] →

# [name]

A helper object to assist with visualizing a [page:Skeleton Skeleton]. The helper is rendered using a [page:LineBasicMaterial LineBasicMaterial].

## Code Example

`const helper = new THREE.SkeletonHelper( skinnedMesh ); scene.add( helper );`

## Examples

[example:webgl_animation_skinning_blending WebGL / animation / skinning / blending]
[example:webgl_animation_skinning_morph WebGL / animation / skinning / morph]
[example:webgl_loader_bvh WebGL / loader / bvh ]

## Constructor

### [name]( [param:Object3D object] )

object -- Usually an instance of [page:SkinnedMesh]. However, any instance of [page:Object3D] can be used if it represents a hierarchy of [page:Bone Bone]s (via [page:Object3D.children]).

## Properties

### [property:Array bones]

The list of bones that the helper renders as [page:Line Lines].

### [property:Boolean isSkeletonHelper]

Read-only flag to check if a given object is of type [name].

### [property:Object3D root]

The object passed in the constructor.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]